package org.takiguchi.cerberus.cerberusapp.service;

import org.takiguchi.cerberus.cerberusapp.model.Application;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

public interface ApplicationRepositoryPort {
    Optional<Application> getById(UUID applicationId);
    List<Application> getAll();
    Application add(Application application);
    void update(Application application);
    void remove(UUID applicationId);
}
